Subject: Re: [PATCH wpan-next v3 03/11] net: mac802154: Create a transmit error helper

From: Miquel Raynal <[email-masked]>
Date: Fri, 4 Mar 2022 09:04:09 +0100

Hi Jakub,

[email-masked] wrote on Thu, 3 Mar 2022 20:30:25 -0800:

> On Thu,  3 Mar 2022 19:25:00 +0100 Miquel Raynal wrote:
> > So far there is only a helper for successful transmission, which led
> > device drivers to implement their own handling in case of
> > error. Unfortunately, we really need all the drivers to give the hand
> > back to the core once they are done in order to be able to build a
> > proper synchronous API. So let's create a _xmit_error() helper and take
> > this opportunity to fill the new device-global field storing Tx
> > statuses.
> > 
> > Signed-off-by: Miquel Raynal <[email-masked]>  
> 
> I'm sure kbuild bot will tell you as well but there's a transient build
> failure here which will break bisection:
> 
> net/mac802154/util.c: In function ‘ieee802154_xmit_error’:
> net/mac802154/util.c:96:14: error: ‘struct ieee802154_local’ has no member named ‘tx_result’
>    96 |         local->tx_result = reason;
>       |              ^~

Mmmh, crap, it's just that I forgot to swap patch 03 and patch 04
(adding the field before using it...). I will wait for more feedback
and then send a v4 that fixes that. In the mean time, you can
definitely swap patches manually for build coverage purposes, if
needed.

Thanks,
Miquèl